Skip to main content
`Ctrl`+`K`

# EPSGetConvergedReason

Gets the reason why the `EPSSolve()` iteration was stopped.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetConvergedReason(EPS eps,EPSConvergedReason *reason)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- reason - negative value indicates diverged, positive value converged, see `EPSConvergedReason` for the possible values

## Options Database Key

- -eps_converged_reason - print reason for convergence/divergence, and number of iterations

## Note

If this routine is called before or doing the `EPSSolve()` the value of `EPS_CONVERGED_ITERATING` is returned.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetTolerances()`, `EPSSolve()`, `EPSConvergedReason`

## Level

intermediate

## Location

src/eps/interface/epssolve.c

## Examples

src/eps/tutorials/ex29.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages